$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_zip = 'https://github.com/starship/starship/releases/download/v1.14.2/starship-x86_64-pc-windows-msvc.zip'
$url_i686_zip = 'https://github.com/starship/starship/releases/download/v1.14.2/starship-i686-pc-windows-msvc.zip'
$checksum_x86_64_zip = '1E4D454C7EE7EE60DAA490801CA8352E7C1947CC4D3F548101BFE48F4BB1E95B'
$checksum_i686_zip = '01AF958CA5DAC29484F4E02BB85D76911328E5375537867E5555D28F17D9646C'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
    packageName   = $packageName
    fileType      = 'zip'
    url           = $url_i686_zip
    url64bit      = $url_x86_64_zip
    checksum      = $checksum_i686_zip
    checksum64    = $checksum_x86_64_zip
    checksumType  = 'sha256'
    unzipLocation = $toolsDir
}
Install-ChocolateyZipPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
